import { ServiceBase } from './../../data/service-base';
import breeze from 'breeze-client';
export declare class UIAccordeonItem {
    title: string;
    icon: string;
    protected expandable: boolean;
    expanded: boolean;
    onExpanded: () => Promise<any>;
    service: ServiceBase<breeze.Entity>;
    entities: Array<breeze.Entity>;
    showCounter: boolean;
    counter: number;
    callServiceGetEntities: boolean;
    isLoading: boolean;
    private currentItem;
    bind(): void;
    expandedChanged(newValue: any, oldValue: any): Promise<void>;
    protected toggleExpand(expand: boolean): void;
    fetchData(): void;
    setCount(): void;
    refresh(): Promise<void>;
}
